## plasma-workspace 5.2.2

=== doc/pt_BR/klipper/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR klipper)

=== debian/changelog ===
plasma-workspace (4:5.2.2-0ubuntu3) vivid; urgency=medium

  * Add kubuntu_no-install-libkxmlrpcclient5.po.diff to remove
    libkxmlrpcclient5.po now in xmlrpcclient from frameworks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Apr 2015 10:44:59 +0200

plasma-workspace (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Add upstream_Workaround-the-lockscreen-password-field-focus-issue.patch
    fixing password field focus in lock screen

 -- Harald Sitter <sitter@kde.org>  Wed, 25 Mar 2015 16:52:52 +0100

plasma-workspace (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:43:40 -0700

plasma-workspace (4:5.2.1-0ubuntu3) vivid; urgency=medium

  * Update kubuntu_default-systray-applets.diff to add telepathy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2015 21:04:50 +0100

plasma-workspace (4:5.2.1-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_default-systray-applets.diff to add printer, muon and
    kdeconnect to systray by default

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Mar 2015 21:24:35 +0100

plasma-workspace (4:5.2.1-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Add new depend libkf5filemetadata 

  [ Jonathan Riddell ]
  * Add build-dep on libkf5prison-dev and upstream_prison.diff to build
    klipper with prison, FFe approved on IRC
  * Add libglib2.0-dev to fix build with libqalculate-dev for krunner

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:48:01 -0800

plasma-workspace (4:5.2.0-0ubuntu2) vivid; urgency=medium

  * Merge kubuntu_stable branch to adopt kglobalacceld move for
    frameworks 5.7
    + Force a dependency on the kglobalaccel binary package >= 5.7
    + Also force a build dependency on >= 5.7

 -- Harald Sitter <sitter@kde.org>  Mon, 16 Feb 2015 08:10:29 +0100

plasma-workspace (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:59:51 +0100

plasma-workspace (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * update build-dep versions for plasma packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:40:15 +0100

plasma-workspace (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release
  * Remove dependency on libkf5globalaccel-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:37:19 +0100

plasma-workspace (4:5.1.2-0ubuntu2) vivid; urgency=medium

  * Remove kubuntu_add-qml2-path.diff causing issues for people
    developing Qt with self compiled or downloaded Qt import path
    compiled into Qt5Core's QLibraryInfo should be correct

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Dec 2014 13:17:31 +0100

plasma-workspace (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:27:55 +0100

plasma-workspace (4:5.1.1-0ubuntu3) UNRELEASED; urgency=medium

  * Remove kubuntu_temp_fix_games_path.diff per shadeslayer. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 01 Dec 2014 06:14:46 -0800

plasma-workspace (4:5.1.1-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_temp_fix_path.diff to add usr/games to PATH.
    This is a temp fix that really needs to be fixed.  

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 19 Nov 2014 16:09:22 -0800

plasma-workspace (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:52:36 +0100

plasma-workspace (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add upstream_gdb-7.8-fix.diff to fix gdb 7.8 in drkonqi

  [ Harald Sitter ]
  * Add lintian overrides
    + xmlrpcclientprivate installs no so link anymore as it is considered
      internal and shouldn't be linked to by third parties

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Remove libKF5XmlRpcClientPrivate.so from -dev as it no longer exists. 

  [ Jonathan Riddell ]
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:51:05 +0200

plasma-workspace (4:5.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:21:47 -0700

plasma-workspace (4:5.0.1-0ubuntu1~ubuntu14.10~ppa6) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Add kubuntu_startkde-qtpath.diff to tell it the path to,
    ironically, qtpaths
  * Add depends on frameworkintegration

  [ Scarlett Clark ]
  * Add missing lib to fix build
  * Cleanup - remove -data and minor fixes.
  * Update watch to http://download.kde.org
  * Cleanup copyright-helper cruft.

  [ José Manuel Santamaría Lema ]
  * Build depend on libkf5filemetadata1-dev instead of
    libkf5filemetadata5-dev.
  * Add plasma-workspace.postinst in order to set the x-session-manager
    alternative, this way in a system without any login manager and only
    the plasma desktop installed users would be able to start plasma
    just typing 'startx'.
  * Add plasma-workspace-dbg in order to provide debugging symbols.

  [ Rohan Garg ]
  * Add sddm-theme-breeze package

  [ Harald Sitter ]
  * plasma-workspace relationship adjustments:
     Depends:
     + kde-cli-tools - needed to run screenlocker kcm (standalone that is)
     + kio-extras - needed for wallpaper preview generation
     + milou - needed for qml module used in krunner
     + gdb-minimal | gdb - used by drkonqi
     - libkf5declarative5 - library, should be picked up by shlibs
     - kde-wallpapers-default - kdesc4 package, 5.x wallpaper is in workspace
     - qtquick1-5-dev
     Suggests:
     - libkf5newstuff5 - only contains a lib that should be picked up by shlibs
  * Drop kde-plasma-kf5.desktop as upstream now provides an xsession file
  * Demote sddm dependency of sddm-theme-breeze to recommends. The theme is not


=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: baloo-kf5-dev (>= 5.0.0),
               cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               kdoctools-dev,
               kgendesignerplugin (>= 5.2.0),
               kinit-dev,
               kio-dev (>= 5.2.0),
               kwayland-dev (>= 5.1.95),
               kwin-dev (>= 4:5.2.2),
               libboost1.55-dev,
               libdbusmenu-qt5-dev,
               libfontconfig1-dev,
               libglib2.0-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.2.0),
               libkf5attica-dev (>= 5.2.0),
               libkf5auth-dev (>= 5.2.0),
               libkf5bookmarks-dev (>= 5.2.0),
               libkf5codecs-dev (>= 5.2.0),
               libkf5completion-dev (>= 5.2.0),
               libkf5config-dev (>= 5.2.0),
               libkf5configwidgets-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5crash-dev (>= 5.2.0),
               libkf5dbusaddons-dev (>= 5.2.0),
               libkf5declarative-dev (>= 5.2.0),
               libkf5emoticons-dev (>= 5.2.0),
               libkf5filemetadata-dev (>= 5.6.1),
               libkf5globalaccel-dev (>= 5.7.0),
               libkf5guiaddons-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5iconthemes-dev (>= 5.2.0),
               libkf5idletime-dev (>= 5.2.0),
               libkf5itemmodels-dev (>= 5.2.0),
               libkf5itemviews-dev (>= 5.2.0),
               libkf5jobwidgets-dev (>= 5.2.0),
               libkf5jsembed-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5khtml-dev (>= 5.2.0),
               libkf5kjs-dev (>= 5.2.0),
               libkf5newstuff-dev (>= 5.2.0),
               libkf5notifications-dev (>= 5.2.0),
               libkf5notifyconfig-dev (>= 5.2.0),
               libkf5parts-dev (>= 5.2.0),
               libkf5prison-dev,
               libkf5pty-dev (>= 5.2.0),
               libkf5runner-dev (>= 5.2.0),
               libkf5screen-dev (>= 5.1.95),
               libkf5service-dev (>= 5.2.0),
               libkf5solid-dev (>= 5.2.0),
               libkf5sonnet-dev (>= 5.2.0),
               libkf5style-dev (>= 5.2.0),
               libkf5su-dev (>= 5.2.0),
               libkf5sysguard-dev (>= 5.2.0),
               libkf5texteditor-dev (>= 5.2.0),
               libkf5textwidgets-dev (>= 5.2.0),
               libkf5threadweaver-dev (>= 5.2.0),
               libkf5unitconversion-dev (>= 5.2.0),
               libkf5wallet-dev (>= 5.2.0),
               libkf5webkit-dev (>= 5.2.0),
               libkf5widgetsaddons-dev (>= 5.2.0),
               libkf5windowsystem-dev (>= 5.2.0),
               libkf5xmlgui-dev (>= 5.2.0),
               libpam0g-dev,
               libpci-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqimageblitz-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libusb-dev,
               libwayland-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-ewmh-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-record0-dev,
               libxcb-render-util0-dev,
               libxcb-res0-dev,
               libxcb-screensaver0-dev,
               libxcb-shm0-dev,
               libxcb-util0-dev,
               libxcb-xevie0-dev,
               libxcb-xf86dri0-dev,
               libxcb-xinerama0-dev,
               libxcb-xkb-dev,
               libxcb-xprint0-dev,
               libxcb-xtest0-dev,
               libxcb-xv0-dev,
               libxcb-xvmc0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               lm-sensors,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev,
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev,
               xauth,
               xcb-proto,
               xvfb
Standards-Version: 3.9.6

Package: plasma-workspace-dev
Architecture: any
Depends: plasma-workspace (= ${binary:Version}),
         ${allLibraries},
         ${misc:Depends}
Conflicts: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace
Architecture: any
Depends: dbus-x11,
         frameworkintegration,
         gdb-minimal | gdb,
         kactivities,
         kde-cli-tools,
         kded5,
         kinit,
         kio-extras,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5service-bin,
         milou,
         plasma-framework,
         qdbus-qt5,
         qml-module-org-kde-extensionplugin,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qtdeclarative5-kf5declarative,
         qtdeclarative5-kf5solid,
         qttools5-dev-tools,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: kde-window-manager, kde-workspace, kde-workspace-data, klipper
Replaces: klipper, plasma-workspace-data
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: libkworkspace5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: libkf5xmlrpcclientprivate5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library files needed by Drkonqi
 A simple XML-RPC client library used by Drkonqi.

Package: libplasma-geolocation-interface5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libweather-ion7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: sddm-theme-breeze
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: plasma-workspace-dbg
Architecture: any
Depends: plasma-workspace (= ${binary:Version}) | libweather-ion7 (= ${binary:Version}) | libplasma-geolocation-interface5 (= ${binary:Version}) | libkf5xmlrpcclientprivate5 (= ${binary:Version}) | libkworkspace5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: debug
Priority: extra
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the debugging symbols.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/plasma-workspace-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/plasma-workspace-(.*)\.tar\.xz

## plasma-workspace 5.4.2

=== debian/changelog ===
plasma-workspace (4:5.4.2-0ubuntu1.1) wily-security; urgency=medium

  * SECURITY UPDATE: lock screen bypass by turning monitor off and on
    (LP: #1554656)
    - debian/patches/plasma-workspace-CVE-2016-2312.patch - fix lockscreen for
      turning monitor off and on
    - CVE-2016-2312

 -- Nick Bryda <nickbryda@gmx.us>  Tue, 08 Mar 2016 12:02:28 -0500

plasma-workspace (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 16:02:01 +0100

plasma-workspace (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:24:50 +0100

plasma-workspace (4:5.4.0-0ubuntu1) wily; urgency=medium

  * Tighten build-dep version on plasma-framework and activities
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:56:30 +0100

plasma-workspace (4:5.3.95-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:21:23 +0200

plasma-workspace (4:5.3.2-0ubuntu2) wily; urgency=medium

  * Remove plasma-workspace dependency from plasma-workspace-dev, the
    plasma-workspace package only provides runtime files and it's not needed to
    build stuff build depending on plasma-workspace-dev.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 23 Jul 2015 12:00:15 +0200

plasma-workspace (4:5.3.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 02 Jul 2015 11:50:43 -0700

plasma-workspace (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:37:44 +0000

plasma-workspace (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:51:14 +0200

plasma-workspace (4:5.3.1-1~) wily; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 12:01:18 +0200

plasma-workspace (4:5.2.2-2) experimental; urgency=medium

  * Merge with kubuntu changes.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 14:54:20 +0200

plasma-workspace (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:18:03 +0100

plasma-workspace (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Add missing prerm.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.
  * Add basic autopkgtests support.
  * New patch: install_missing_header.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 20:32:53 +0100

plasma-workspace (4:5.1.1-0ubuntu3) wily; urgency=medium

  * Remove kubuntu_temp_fix_games_path.diff per shadeslayer. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 01 Dec 2014 06:14:46 -0800

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.1~),
               cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0~),
               kdoctools-dev (>= 5.8.0~),
               kinit-dev,
               kio-dev (>= 5.4.0),
               kwayland-dev (>= 4:5.4.2~),
               kwin-dev (>= 4:5.4.2~),
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.13.0),
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev (>= 5.2.0),
               libkf5crash-dev (>= 5.8.0~),
               libkf5dbusaddons-dev (>= 5.8.0~),
               libkf5declarative-dev (>= 5.8.0~),
               libkf5globalaccel-dev (>= 5.8.0~),
               libkf5i18n-dev (>= 5.2.0),
               libkf5idletime-dev (>= 5.8.0~),
               libkf5jsembed-dev (>= 5.8.0~),
               libkf5kcmutils-dev (>= 5.8.0~),
               libkf5kdelibs4support-dev (>= 5.8.0~),
               libkf5networkmanagerqt-dev (>= 5.12),
               libkf5newstuff-dev (>= 5.8.0~),
               libkf5notifyconfig-dev (>= 5.8.0~),
               libkf5package-dev,
               libkf5prison-dev,
               libkf5runner-dev (>= 5.8.0~),
               libkf5screen-dev (>= 4:5.4.2~),
               libkf5solid-dev (>= 5.2.0),
               libkf5su-dev (>= 5.8.0~),
               libkf5sysguard-dev,
               libkf5texteditor-dev (>= 5.2.0),
               libkf5textwidgets-dev (>= 5.8.0~),
               libkf5wallet-dev (>= 5.8.0~),
               libkf5webkit-dev (>= 5.8.0~),
               libkf5xmlrpcclient-dev,
               libnm-dev | hello,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libusb-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-keysyms1-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               lm-sensors,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.13.0),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qtscript5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4),
               xauth,
               xcb-proto,
               xvfb
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-workspace.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-workspace.git

Package: plasma-workspace-dev
Architecture: any
Depends: libkf5windowsystem-dev (>= 5.4.0),
         plasma-framework-dev (>= 5.8.0~),
         qtbase5-dev (>= 5.4.0~),
         ${allLibraries},
         ${misc:Depends}
Conflicts: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration,
         kwin-wayland,
         plasma-workspace (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: plasma-workspace
Architecture: any
Depends: dbus-x11,
         frameworkintegration,
         gdb-minimal | gdb,
         kactivities,
         kde-cli-tools,
         kded5,
         kinit,
         kio,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5service-bin,
         milou,
         plasma-framework,
         qdbus-qt5,
         qml-module-org-kde-extensionplugin,
         qml-module-org-kde-kwindowsystem,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qtdeclarative5-kf5declarative,
         qtdeclarative5-kf5solid,
         qttools5-dev-tools (>= 5.4),
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kio-extras
Conflicts: kde-window-manager, kde-workspace, kde-workspace-data, klipper
Breaks: kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210)
Replaces: kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-workspace-data
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: libkworkspace5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: libplasma-geolocation-interface5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libweather-ion7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework, plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: plasma-workspace-dbg
Section: debug
Priority: extra
Architecture: any
Depends: plasma-workspace (= ${binary:Version}) | libweather-ion7 (= ${binary:Version}) | libplasma-geolocation-interface5 (= ${binary:Version}) | libkworkspace5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = plasma-workspace-dev
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_test:
	PYBUILD_TEST_ARGS="export `dbus-launch`"\
	dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-workspace-dbg

override_dh_fixperms:
	chmod -x debian/plasma-workspace/etc/xdg/autostart/org.kde.klipper.desktop
	$(overridden_command)

override_dh_install:
	mkdir -p debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	cp debian/40-kde-plasma-kf5.conf debian/plasma-workspace/usr/share/lightdm/lightdm.conf.d/
	dh_install
